文档API 参考

Rust · 0.1.0

Get Current User

GET /api/v1/auth/me

AuthService · AuthService_GetCurrentUser

基于协议生成的参考。授权与实例策略仍然生效。结构描述继承自 MIT 许可的应用接口定义;本站不会向真实服务执行示例。

访问权限

需要有效账号认证;实例策略及下方操作特有的检查仍然适用。

请求

GetCurrentUser returns the authenticated user's information. Validates the access token and returns user details. Similar to OIDC's /userinfo endpoint.

GET/api/v1/auth/me

参数

未声明路径或查询参数。

请求体

未声明请求体。

响应

200 · OK

application/json · GetCurrentUserResponse

default · Default error response

application/json · Status

完整操作定义

下方保留全部已声明约束、媒体类型和响应细节。结构引用链接到完整定义。

展开 JSON 定义
{
  "tags": [
    "AuthService"
  ],
  "description": "GetCurrentUser returns the authenticated user's information.\n Validates the access token and returns user details.\n Similar to OIDC's /userinfo endpoint.",
  "operationId": "AuthService_GetCurrentUser",
  "responses": {
    "200": {
      "description": "OK",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/GetCurrentUserResponse"
          }
        }
      }
    },
    "default": {
      "description": "Default error response",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/Status"
          }
        }
      }
    }
  }
}